Package org.codehaus.janino.util

# Class ClassFile.StackMapTableAttribute

java.lang.Object
org.codehaus.janino.util.ClassFile.AttributeInfo
org.codehaus.janino.util.ClassFile.StackMapTableAttribute

Enclosing class:
  `ClassFile`

public static class ClassFile.StackMapTableAttribute extends ClassFile.AttributeInfo
Representation of an unmodifiable `StackMapTable` attribute, as read from a class file.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ClassFile.StackMapTableAttribute.AppendFrame`
Representation of the `append_frame` structure; see JVMS8 4.7.4.
`static class`
`ClassFile.StackMapTableAttribute.ChopFrame`
Representation of the `chop_frame` structure; see JVMS8 4.7.4.
`static class`
`ClassFile.StackMapTableAttribute.FullFrame`
Representation of the `full_frame` structure; see JVMS8 4.7.4.
`static class`
`ClassFile.StackMapTableAttribute.ObjectVariableInfo`
Representation of the `object_variable_info` structure; see JVMS8 4.7.4.
`static class`
`ClassFile.StackMapTableAttribute.SameFrame`
Representation of the `same_frame` structure; see JVMS8 4.7.4.
`static class`
`ClassFile.StackMapTableAttribute.SameFrameExtended`
Representation of the `same_frame_extended` structure; see JVMS8 4.7.4.
`static class`
`ClassFile.StackMapTableAttribute.SameLocals1StackItemFrame`
Representation of the `same_locals_1_stack_item_frame` structure; see JVMS8 4.7.4.
`static class`
`ClassFile.StackMapTableAttribute.SameLocals1StackItemFrameExtended`
Representation of the `same_locals_1_stack_item_frame_extended` structure; see JVMS8 4.7.4.
`static class`
`ClassFile.StackMapTableAttribute.StackMapFrame`
Representation of an entry in the `ClassFile.StackMapTableAttribute`.
`static interface`
`ClassFile.StackMapTableAttribute.StackMapFrameVisitor<T>`
`static class`
`ClassFile.StackMapTableAttribute.UninitializedVariableInfo`
Representation of the `uninitialized_variable_info` structure; see JVMS8 4.7.4.
`static interface`
`ClassFile.StackMapTableAttribute.VerificationTypeInfo`
Representation of the `verification_type_info` union; see JVMS8 4.7.4.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ClassFile.StackMapTableAttribute.VerificationTypeInfo`
`DOUBLE_VARIABLE_INFO`
Representation of the `double_variable_info` structure; see JVMS8 4.7.4.
`static final ClassFile.StackMapTableAttribute.VerificationTypeInfo`
`FLOAT_VARIABLE_INFO`
Representation of the `float_variable_info` structure; see JVMS8 4.7.4.
`static final ClassFile.StackMapTableAttribute.VerificationTypeInfo`
`INTEGER_VARIABLE_INFO`
Representation of the `integer_variable_info` structure; see JVMS8 4.7.4.
`static final ClassFile.StackMapTableAttribute.VerificationTypeInfo`
`LONG_VARIABLE_INFO`
Representation of the `long_variable_info` structure; see JVMS8 4.7.4.
`static final ClassFile.StackMapTableAttribute.VerificationTypeInfo`
`NULL_VARIABLE_INFO`
Representation of the `null_variable_info` structure; see JVMS8 4.7.4.
`static final ClassFile.StackMapTableAttribute.VerificationTypeInfo`
`TOP_VARIABLE_INFO`
Representation of the `top_variable_info` structure; see JVMS8 4.7.4.
`static final ClassFile.StackMapTableAttribute.VerificationTypeInfo`
`UNINITIALIZED_THIS_VARIABLE_INFO`
Representation of the `uninitialized_this_variable_info` structure; see JVMS8 4.7.4.

## Constructor Summary

Constructors
Constructor
Description
`StackMapTableAttribute(short attributeNameIndex, ClassFile.StackMapTableAttribute.StackMapFrame[] entries)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`storeBody(DataOutputStream dos)`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

### Methods inherited from class org.codehaus.janino.util.ClassFile.AttributeInfo

`store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TOP_VARIABLE_INFO

public static final ClassFile.StackMapTableAttribute.VerificationTypeInfo TOP_VARIABLE_INFO
Representation of the `top_variable_info` structure; see JVMS8 4.7.4.

### INTEGER_VARIABLE_INFO

public static final ClassFile.StackMapTableAttribute.VerificationTypeInfo INTEGER_VARIABLE_INFO
Representation of the `integer_variable_info` structure; see JVMS8 4.7.4.

### FLOAT_VARIABLE_INFO

public static final ClassFile.StackMapTableAttribute.VerificationTypeInfo FLOAT_VARIABLE_INFO
Representation of the `float_variable_info` structure; see JVMS8 4.7.4.

### DOUBLE_VARIABLE_INFO

public static final ClassFile.StackMapTableAttribute.VerificationTypeInfo DOUBLE_VARIABLE_INFO
Representation of the `double_variable_info` structure; see JVMS8 4.7.4.

### LONG_VARIABLE_INFO

public static final ClassFile.StackMapTableAttribute.VerificationTypeInfo LONG_VARIABLE_INFO
Representation of the `long_variable_info` structure; see JVMS8 4.7.4.

### NULL_VARIABLE_INFO

public static final ClassFile.StackMapTableAttribute.VerificationTypeInfo NULL_VARIABLE_INFO
Representation of the `null_variable_info` structure; see JVMS8 4.7.4.

### UNINITIALIZED_THIS_VARIABLE_INFO

public static final ClassFile.StackMapTableAttribute.VerificationTypeInfo UNINITIALIZED_THIS_VARIABLE_INFO
Representation of the `uninitialized_this_variable_info` structure; see JVMS8 4.7.4.

## Constructor Details

### StackMapTableAttribute

public StackMapTableAttribute(short attributeNameIndex, ClassFile.StackMapTableAttribute.StackMapFrame[] entries)

## Method Details

### storeBody

protected void storeBody(DataOutputStream dos) throws IOException
Description copied from class: `ClassFile.AttributeInfo`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

Specified by:
  `storeBody` in class `ClassFile.AttributeInfo`
Throws:
  `IOException`